#include <string>
using std::string;
#include <allegro.h>
#include <winalleg.h>
#include <windows.h>
#include "data.h"

class SpritePart
{
private:
	SpritePart* parent;
	string partName;
	unsigned int partNumber;
	unsigned short source_X;
	unsigned short source_Y;
	unsigned short h;
	unsigned short w;
	unsigned short dest_X;
	unsigned short dest_Y;
	short offSet_X;
	short offSet_Y;
	unsigned short partColor;
	unsigned short charSetNumber;
public:
	string get_partName();
	unsigned int get_partNumber();
	unsigned short get_source_X();
	unsigned short get_source_Y();
	unsigned short get_h();
	unsigned short get_w();


	short get_offSet_X();
	short get_offSet_Y();
	unsigned short get_dest_X();
	unsigned short get_dest_Y();
	unsigned short get_partColor();
	unsigned short get_charSetNumber();
	SpritePart* get_parent();

	void set_parent(SpritePart*);
	void set_partName(string);
	void set_partNumber(unsigned int);
	void set_source_X(unsigned short);
	void set_source_Y(unsigned short);
	void set_h(unsigned short);
	void set_w(unsigned short);


	void set_offSet_X( short);
	void set_offSet_Y( short);
	void set_dest_X(unsigned short);
	void set_dest_Y(unsigned short);
	void set_partColor(unsigned short);
	void set_charSetNumber(unsigned short);
	SpritePart();
};
